package com.malk.chuizi.controller;

import com.malk.chuizi.service.ChuiZiService;
import com.malk.server.common.McR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
public class ChuiziController {

    @Autowired
    ChuiZiService chuiZiService;
    @GetMapping("/test")
    public McR test(){
        return McR.success();
    }

    //新增其他应付单
    @PostMapping("/saveAccountsPayable")
    public McR saveOtherMeet(Map processData) {
        return chuiZiService.saveAccountsPayable(processData);
    }


}
